
Summary: LDAP authentication module for Apache
Name: mod_authz_ldap
Version: 0.19
Release: 4
URL: http://authzldap.othello.ch/
Source0: mod_authz_ldap-%{version}.tar.gz
Patch1: mod_authz_ldap-0.19-nonldap.patch
Patch2: mod_authz_ldap-0.19-nohand.patch
License: Apache
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, openldap-devel, openssl-devel
Requires: openldap, openssl
Requires: webserver, %(cat %{_includedir}/apache/.eapi-tag)

%description
An advanced LDAP authentication module for Apache.

%prep
%setup -q
%patch1 -p0 -b .nonldap
%patch2 -p0 -b .nohand

%build
%configure --with-apxs=/usr/sbin/apxs --with-ssl
make

%install
rm -rf $RPM_BUILD_ROOT
# Module
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
cp module/mod_authz_ldap.so $RPM_BUILD_ROOT%{_libdir}/apache
# Tools
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -s -m755 tools/cert2ldap tools/certfind $RPM_BUILD_ROOT%{_bindir}
# Schema
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
cp ldap/authzldap.schema $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
# Docs
cd docs
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cert*
%{_mandir}/man1/*.1.gz
%{_libdir}/apache/mod_authz_ldap.so

%changelog
* Thu Dec 19 2002 Joe Orton <jorton@redhat.com> 0.19-4
- add fix for #80057

* Tue Apr 09 2002 Gary Benson <gbenson@redhat.com> 0.19-3
- depend on apache-eapi-1, webserver, openldap and openssl
- change the group to match other apache modules

* Fri Apr 05 2002 Gary Benson <gbenson@redhat.com> 0.19-2
- stronghold-openssl is now openssl.

* Tue Feb 26 2002 Joe Orton <jorton@redhat.com> 0.19-1
- Initial build.
